import React from "react";
import AuthWrap from "../authWrap";
import { Skeleton } from "antd";
import "./index.less";
import classNames from "classnames";
var TabPane = function TabPane(_ref) {
  var children = _ref.children,
    header = _ref.header,
    footer = _ref.footer,
    style = _ref.style,
    loading = _ref.loading,
    bodyClassName = _ref.bodyClassName;
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("div", {
    className: "pisell-lowcode__booking-tab-pane-wrap",
    style: style
  }, /*#__PURE__*/React.createElement("div", {
    className: typeof header === "string" ? "pisell-lowcode__booking-tab-pane-title" : ""
  }, header), /*#__PURE__*/React.createElement("div", {
    className: classNames("pisell-lowcode__booking-tab-pane-body", bodyClassName)
  }, /*#__PURE__*/React.createElement(Skeleton, {
    loading: loading,
    round: true,
    active: true,
    avatar: false,
    style: {
      padding: 20
    }
  }, children)), /*#__PURE__*/React.createElement(AuthWrap, {
    show: !!footer,
    trueRender: /*#__PURE__*/React.createElement("div", {
      className: "pisell-lowcode__booking-tab-pane-footer"
    }, footer)
  })));
};
export default TabPane;